Page MenuHomePhabricator

deactivate maint-announce
Closed, ResolvedPublic

Description

Faidon said:

Do we really need this mailing list after all? We still have RT and
we're keeping it IIRC, so the list is just spamming us all...

  • Forwarded message from maint-announce-bounces@lists.wikimedia.org -----

Event Timeline

Dzahn created this task.Aug 24 2016, 12:39 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 24 2016, 12:39 AM
Dzahn claimed this task.Aug 24 2016, 12:39 AM
Dzahn added a subscriber: faidon.Aug 24 2016, 5:40 PM

root@fermium:/var/lib/mailman/bin# ./remove_members -a maint-announce

root@fermium:/usr/local/sbin# ./disable_list maint-announce
maint-announce disabled. Archives should be available at current location, all mail should be moderated and the list should not be on the listinfo page.

@faidon mailing list deactivated, members unsubscribed

Dzahn closed this task as Resolved.Aug 24 2016, 5:45 PM

removed the part of the exim alias that forwards it to lists, in private repo commit f4465ebd308e9538b3ab940

it used to forward to both RT and mailman, now just RT again

RobH reopened this task as Open.Aug 29 2016, 4:10 PM
RobH added a subscriber: RobH.

I am reopening this.

Why are we using RT for maint-announce? The plan overall was to kill all mail relays into RT, and rely on the mailing list.

The mailing list is what I used for my triaging of clinic duty two weeks ago.

I'd propose we kill the RT link, and reopen this list. The list archive thread page was more than enough for each clinic duty person to update the tracking calendar. Doing so via that means we can downgrade RT to a wholly historic service, with no mail links.

Dzahn added a comment.Aug 30 2016, 6:52 PM

@faidon @RobH I don't have much of a personal preference here, Activating and deactivating the list are both easy and not much work. I also once thought it would be possible to kill RT by doing this but at the time i thought this was the last thing left on RT and then it turned out we are also keeping it anyways for procurement and Mark asked me to keep it, so i upgraded it to jessie and moved it to a VM.

I could re-create it but only the people subscribe who want to opt-in? dunno...

RobH added a comment.EditedAug 30 2016, 8:07 PM
  • Using mailman:
    • pros:
      • we already maintain mailman, any outage is noticed
      • archive view sorted by date allows on clinic to easily add items to calendar as they were received
    • cons:
      • typically have to approve/whitelist most new vendors first few emails to list
      • have to check calendar against list to determine if an item has been processed
  • using rt
    • pros:
      • can maintain old system/process
      • can update each ticket to note when its been added to gcal
    • cons:
      • have to maintain rt mail links
      • closed user base, outages may go unnoticed (including mail relay breaks)

Since RT is historical data only, except for maint-announce, this would allow it to be fully historical data only (throughout.)

I think we should use mailman's maint-announce list archive for ops clinic duty adding items to gcal and tracking maint-announcements. I'd be interested to hear feedback from others who have processed clinic duty in both mailman and rt.

Dzahn triaged this task as Normal priority.Sep 3 2016, 12:00 AM
Dzahn added a comment.Sep 27 2016, 9:06 AM

As discussed during ops offsite, we'll keep using RT for now and also investigate the possibilty of a shared inbox, but won't go back to the mailing list.

Dzahn closed this task as Resolved.Sep 27 2016, 9:06 AM